
; txtligner

Global $i
Global $j
Global $file
Global $lng1
Global $lng2
Global $lng3
Global $goprompt
Global $filename
Global $clip

$i = 0
$j = 1

#cs

TXTligner does not actually align text, but it helps you copy text from two or more sources that can later be used in an alignment procedure.

1. Ask for name of project
2. Ask user how many languages

3. User clicks in screen and presses shortcut
4. Ask user for base file name (default numbered)
5. Ctrl+A, Ctrl+C, write to file

6. User clicks in new screen, presses shortcut
7. Ctrl+A, Ctrl+C, write to file

#ce

; Ask user for name of project.  Will be prepended to file names.

$prname = InputBox ("Project's name", "Please fill in a short name for the project")

; Ask user for language codes.  Will be appended to file names.
; Hint: If $lng3 = 1 then there is only two languages

$lng1 = InputBox ("First language", "Please specify the first language's language code.")
$lng2 = InputBox ("Second language", "Please specify the second language's language code.")
$lng3 = InputBox ("Third language", "Please specify the third language's language code, or press Cancel if no more languages (don't just press Esc).")

If @error = 1 Then
$lng3 = 1
EndIf

; Ask if user wants to be prompted for each file name
; Yes = 6, no = 7

$goprompt = MsgBox (4, "Prompt for file names?", "Should the script ask you every time for a file name, or just create numbered files?  Yes = ask, no = numbered", 0)

; Ask user for name of his browser.  Used to check for focus. 

$browser = InputBox ("Name of browser", "Please specify the name of your browser, as it appears in the window title bar.  For example, 'Opera' or 'Firefox'.", "Opera")

AutoItSetOption ("WinTitleMatchMode", 2)

; Set a hotkey for the action.  That's Ctrl+` for the hotkey here.
; By the way, for different hotkeys, set ! alt, ^ ctrl, + shift, and use lowercase letters.

HotKeySet ("^`", "gocopy")

; Let the script run forever...

While 1
Sleep (100)
WEnd

; The action triggered by the hotkey

Func gocopy()

If $j = 1 Then ; $j is the first, second or third time

If $goprompt = 6 Then

$filename = InputBox ("Base name of TXT file", "Please specify the base name for your TXT files (or accept the default).", $prname & "_" & $i)
Else
$filename = $prname & "_" & $i
EndIf

WinActivate ($browser)
WinWaitActive ($browser)

Sleep (100)
Send ("^a")
Send ("^c")
Sleep (100)
$clip = ClipGet()
Sleep (100)

$file = FileOpen ($filename & "_" & $lng1 & ".txt", 33)
FileWrite ($file, $clip)
FileClose ($file)

$j = 2

ElseIf $j = 2 Then

WinActivate ($browser)
WinWaitActive ($browser)

Sleep (100)
Send ("^a")
Send ("^c")
Sleep (100)
$clip = ClipGet()
Sleep (100)

$file = FileOpen ($filename & "_" & $lng2 & ".txt", 33)
FileWrite ($file, $clip)
FileClose ($file)

If $lng3 = 1 Then
$j = 1
$i = $i +1
Else
$j = 3
EndIf

ElseIf $j = 3 Then

WinActivate ($browser)
WinWaitActive ($browser)

Sleep (100)
Send ("^a")
Send ("^c")
Sleep (100)
$clip = ClipGet()
Sleep (100)

$file = FileOpen ($filename & "_" & $lng3 & ".txt", 33)
FileWrite ($file, $clip)
FileClose ($file)

$j = 1
$i = $i +1

EndIf

EndFunc
